MULTIRUBY_SETUP.1(1)

NAME
multiruby_setup - script to help you manage multiruby

SYNOPSIS
multiruby_setup [-h|cmd|spec...]

multiruby_setup mri:svn:current

DESCRIPTION
Use multiruby_setup to manage your installed versions of ruby. This helps you use multiruby command to run anything you want on multiple versions of ruby.

The various versions are installed in a subdirectory of .multiruby in your home directory.

OPTIONS

  cmds
-h, --help, help
     show this help.

build
     build and install everything. used internally.

clean
     clean scm build dirs and remove non-scm build dirs.

list
     print installed versions.

rm:$version
     remove a particular version.

rubygems:merge
     symlink all rubygem dirs to one dir.

tags
     list all tags from svn.

update
     update svn builds.

update:rubygems
     update rubygems and nuke install dirs.

  specs
the_usual
     alias for latest versions from tar + rubygems

mri:svn:current
     alias for mri:svn:releases and mri:svn:branches.

mri:svn:releases
     alias for supported releases of mri ruby.

mri:svn:branches
     alias for active branches of mri ruby.

mri:svn:branch:$branch
     install a specific $branch of mri from svn.

mri:svn:tag:$tag
     install a specific $tag of mri from svn.

mri:tar:$version
     install a specific $version of mri from tarball.

  environment variables
GEM_URL
     url for rubygems tarballs

MRI_SVN
     url for MRI SVN

RUBY_URL
     url for MRI tarballs

VERSIONS
     what versions to install

RUBYOPT is cleared on installs.

NOTES

•   you can add a symlink to your rubinius build into ~/.multiruby/install

•   I need patches/maintainers for other implementations.

AUTHOR
Ryan Davis, Eric Hodel, seattle.rb

This manual page is written by Praveen Arimbrathodiyl <praveen@debian.org> for Debian GNU System (GNU/Linux, GNU/kFreeBSD, GNU/Hurd).